org.eclipse.microprofile.fault.tolerance.tck.util

## Class TCKConfig

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.util.TCKConfig

    public class TCKConfig
    extends Object

### Field Summary

Fields
`static String` `RESOURCE_NAME`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`double` `getBaseMultiplier()`
`static TCKConfig` `getConfig()`
`Duration` `getTimeoutInDuration(int originalInMillis)`
`long` `getTimeoutInMillis(long originalInMillis)`
`String` `getTimeoutInStr(long originalInMillis)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RESOURCE_NAME

    public static final String RESOURCE_NAME

See Also:
  Constant Field Values

### Method Detail

#### getConfig

    public static TCKConfig getConfig()

#### getTimeoutInStr

    public String getTimeoutInStr(long originalInMillis)

#### getTimeoutInMillis

    public long getTimeoutInMillis(long originalInMillis)

#### getTimeoutInDuration

    public Duration getTimeoutInDuration(int originalInMillis)

#### getBaseMultiplier

    public double getBaseMultiplier()